For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • GETList account user roles
      • PATCHUpdate user role for the account

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceAccount Permissions

Update user role for the account

PATCH
https://api.frame.io/v4/accounts/:account_id/users/:user_id
PATCH
/v4/accounts/:account_id/users/:user_id
1from frameio_experimental import FrameioExperimental, AccountRoleData
2
3client = FrameioExperimental(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.account_permissions.developer_api_web_experimental_account_user_roles_controller_update(
8 account_id="ee20823e-5042-401a-addc-ca843506d842",
9 user_id="64fdda6e-7818-44ba-8b48-070722ef1e6c",
10 data=AccountRoleData(
11 role="admin",
12 ),
13)
1{
2 "data": {
3 "role": "admin"
4 }
5}
Update user role for the account.
Was this page helpful?
Previous

Get account

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).
user_idstringRequiredformat: "uuid"
A UUID string that uniquely identifies a Frame.io entity.

Request

Update user role params body
dataobjectRequired

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with adobe: (e.g. adobe:<adobe_org_id> for an account, adobe:<adobe_asset_id> for a project or folder, adobe:adobe:<adobe_asset_id>|<version>` for a file asset).